Lower_bit = Shift( B, TO_LOWER, 31 )
' B = Shift( Number, TO_HIGHER, 31 )

Big_integer = Shift( B, TO_LOWER, 48, B_SIGNED )
' B = Shift( Short_number, TO_HIGHER, 48 )

Shuffled_bits = Shift( Hash_index, TO_HIGHER, 1, B_CR )

